Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  Schraffur aus Block löschen

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Schraffur aus Block löschen (1324 mal gelesen)
ami123
Mitglied
CAD Zeichner


Sehen Sie sich das Profil von ami123 an!   Senden Sie eine Private Message an ami123  Schreiben Sie einen Gästebucheintrag für ami123

Beiträge: 88
Registriert: 03.05.2011

AutoCAD 2015
AutoCAD 2012
Revit 2013
ACAD Bau 12

erstellt am: 28. Okt. 2014 09:48    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo CADler!
Ich habe Daten aus dem Revit bekommen und nun folgendes Problem. Revit macht ja aus allen Bauteilen einen eigenen Block beim Auslesen. Nun habe ich also hunderte Fenster, jedes ein eigener Block, die nicht optimal für mich dargestellt werden. Die Blöcke bestehen aus Linien und Schraffuren und das alles auf einem Layer.
Habe ich eine einfache Möglichkeit, die Schraffuren aus den Blöcken zu löschen, ohne die Blöcke in den Ursprung zu versetzen? Alternativ wäre es auch ausreichend den Schraffuren die Farbe 255 zuzuordnen.

Also all meine AutoCAD Kenntnisse sagen mir, dass das nicht geht. Aber vielleicht hat ja einer von Euch doch eine Idee?!?!?!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13418
Registriert: 30.11.2003

Hinweis: Meine Mitarbeit auf CAD.DE ist fakultativ, unentgeltlich und beruht nur auf einem ausgeprägtem Helfersyndrom.

erstellt am: 28. Okt. 2014 10:36    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für ami123 10 Unities + Antwort hilfreich

Guck mal <<hier>>  und rufe das ganze mit
(DELALL "AcDbHatch") auf ...

------------------
Also ich finde Unities gut ... und andere sicher auch
---------------------------------------
  - Thomas -          
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

ami123
Mitglied
CAD Zeichner


Sehen Sie sich das Profil von ami123 an!   Senden Sie eine Private Message an ami123  Schreiben Sie einen Gästebucheintrag für ami123

Beiträge: 88
Registriert: 03.05.2011

AutoCAD 2015
AutoCAD 2012
Revit 2013
ACAD Bau 12

erstellt am: 28. Okt. 2014 10:47    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Genial! Das funktioniert perfekt.

Vielen Dank

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Jörg
Mitglied
selbstständig


Sehen Sie sich das Profil von Jörg an!   Senden Sie eine Private Message an Jörg  Schreiben Sie einen Gästebucheintrag für Jörg

Beiträge: 75
Registriert: 24.07.2000

Autocad Architecture 2019 + Athena

erstellt am: 16. Okt. 2019 17:49    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für ami123 10 Unities + Antwort hilfreich

Was muss man machen, das nur Schraffuren in markierten Blöcken gelöscht werden?

Danke und Grüße

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19406
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 16. Okt. 2019 18:35    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für ami123 10 Unities + Antwort hilfreich

Ein anderes Programm schreiben oder beauftragen.

Eine einfache Version für einen Block anbei:

Zitat:
(defun c:BTN nil
  (and  (setq EN (car(entsel "Block wählen: ")))
        (= "INSERT" (cdr(assoc 0 (entget EN))))
        (vlax-for ITEM (vla-item (vla-get-blocks (vla-get-activedocument(vlax-get-acad-object))) (vla-get-effectivename(vlax-ename->vla-object EN)))
          (if(=(strcase(vla-get-objectname  ITEM))(strcase "AcDbHatch"))
            (vl-catch-all-error-p (vl-catch-all-apply 'vla-delete (list ITEM)))
          )
        )   
  )
(command "_.Regenall")
(princ)
)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz